Object used to expose the OpenLayer map.

Example of usage:

       (window as any).gmfapi.store.line.getLine().subscribe({
         next: (line: OlGeomLineString) => {
           if (line) {
             ...
           }
         },
       })

### Hierarchy

- LineModel

## Index

### Constructors

- constructor

### Methods

- getLine
- setLine

## Constructors

### constructor

- new LineModel(): LineModel

- #### Returns LineModel

## Methods

### getLine

- getLine(): BehaviorSubject<LineString>

- - Defined in src/lidar/line.ts:52

  Get the lines

  #### Returns BehaviorSubject<LineString>

  The existing line.

### setLine

- setLine(line: LineString): void

- - Defined in src/lidar/line.ts:61

  Set the line.

  #### Parameters

  - ##### line: LineString

    The line

  #### Returns void

Generated using TypeDoc